Bug 1983127 - Exec probes fail clusterwide after upgrade to cri-o-1.19.2-4.rhaos4.6.git4f7cb5e.el7.x86_64
Summary: Exec probes fail clusterwide after upgrade to cri-o-1.19.2-4.rhaos4.6.git4f7c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Peter Hunt
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1978268
Blocks: 1983128 2026214
TreeView+ depends on / blocked
 
Reported: 2021-07-16 15:16 UTC by OpenShift BugZilla Robot
Modified: 2021-12-06 14:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-03 06:09:58 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github cri-o cri-o pull 5093 0 None closed [1.21] oci: wait until pidfile to be written before starting timer 2021-07-19 13:44:46 UTC
Red Hat Product Errata RHBA-2021:2896 0 None None None 2021-08-03 06:10:11 UTC

Comment 2 MinLi 2021-07-22 08:53:57 UTC
I find error "probe failed: command timed out" happen frequently in a 4.8 job : https://prow.ci.openshift.org/job-history/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-ipi-serial-ipv4, also can be searched by: https://search.ci.openshift.org/?search=probe+failed%3A+command+timed+out&maxAge=48h&context=1&type=junit&name=&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job

"Jul 21 03:52:28.000 W ns/openshift-kni-infra pod/keepalived-worker-1 node/worker-1 reason/Unhealthy Liveness probe failed: command timed out (3 times)"

@Peter Hunt, 
Can you help to check if the issue haven't been fixed or it just happen by accident.

Comment 4 MinLi 2021-07-26 07:09:40 UTC
run a 4.8 cluster for a long time, don't find "probe failed: command timed out" events. 
set it verified.

Comment 7 errata-xmlrpc 2021-08-03 06:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2896


Note You need to log in before you can comment on or make changes to this bug.